MAKEWHATIS(8)

NOME
makewhatis - Crea il database di whatis

SINTASSI
makewhatis [-u] [-v] [-w] [-s sezioni ] [-c [percorso_cat]] [percorso_man]

DESCRIZIONE
makewhatis legge tutte le pagine di manuale contenute nelle date sezioni in percorso_man o nelle corrispondenti sezioni in percorso_cat. Scrive, per ogni pagina, una riga nel database di whatis: ognuna consiste nel nome della pagina e in una breve descrizione separata da un trattino. La descrizione viene estratta basandosi sul contenuto della sezione NOME della pagina di manuale.

Poiché lingue diverse usano nomi diversi per indicare la sezione NOME, makewhatis riconosce il termine equivalente in ceco, finlandese, francese, inglese, italiano, spagnolo e tedesco.

Se non viene passato nessun argomento percorso_man , viene usato /usr/man .

OPZIONI

-u  Aggiorna il database con le nuove pagine.

-v  Output più dettagliato.

-w  Ottiene il percorso da `man --path`

-s sezioni
    Guarda nelle sezioni di percorso_man or percorso_cat. Se l'opzione manca, il suo valore viene posto a '1 2 3 4 5 6 7 8 9 n l'

-c percorso_cat
    Vengono considerate le pagine preformattate che si trovano in catpath . Se l'argomento è assente, viene usata la prima directory esistente fra /usr/man/preformat e /usr/man .

ESEMPI

Per ricostruire solo /usr/X11R6/man/whatis e /usr/local/man/whatis:

    makewhatis /usr/X11R6/man /usr/local/man

Per ricostruire tutti i database, inclusi quelli con le traduzioni finlandesi, francesi e italiane:

    LANGUAGE=fi:fr:it makewhatis -w

BACHI
makewhatis potrebbe non aprezzare molto le pagine scritte con macro Troff non standard, come quelle di Tcl/Tk.

makewhatis non funziona con le traduzioni preformattate.

AUTORE
John W. Eaton è l'autore originale di man. Zeyd M. Ben-Halim ha rilasciato man 1.2, e Andries Brouwer le versioni da 1.3 a 1.5p. Federico Lucifredi <flucifredi@acm.org> è il maintainer attuale.

VEDERE ANCHE
apropos(1), man(1), whatis(1)